opendkim-importstats(8)

NAME
opendkim-importstats - OpenDKIM statistics import tool

SYNOPSIS
opendkim-importstats [options]

DESCRIPTION
opendkim-importstats imports collected OpenDKIM operational statistics into an SQL database. Statistics are collected by the opendkim(8) filter into a local file and can be output in a tabulated format by the opendkim-stats(8) tool. See their respective manual pages for further information. The same file is used as the input to this program, which processes it for insertion into an SQL database. The data are expected on standard input.

OPTIONS
Long option names may be available depending on the compile-time environment for the tool.

-d name
    (or --dbname=name) Specifies the name of the SQL database into which records should be imported. The default is opendkim.

-E  Abort on certain errors, such as unknown input record types, improper field counts, etc., rather than continuing.

-F  When a malformed line is detected in the input, write the parsed data to standard error.

-h host
    (or --dbhost=host) Names the host to which an SQL connection should be made. The default is "localhost".

-m  Input is in the form of an email message, so do not start processing input until a blank line is encountered.

-P port
    (or --dbport=port) Names the port to which an SQL connection should be made. The default is determined by the scheme in use (see below).

-p password
    (or --dbpasswd=password) Specifies the password that should be used to authenticate to the SQL database. The default is no password.

-r  Don't automatically add unknown reporters to the database.

-S  Don't skip duplicate message records and their associated signatures.

-s scheme
    (or --dbscheme=scheme) Specifies the SQL scheme (backend) to be used to access the SQL database database. The default is "@SQL_BACKEND@".

-u user
    (or --dbuser=user) Specifies the user that should be used to authenticate to the SQL database. The default is opendkim.

-v  Increase verbosity of the output.

-x  Apply schema extension records.

VERSION
This man page covers the version of opendkim-importstats that shipped with version @VERSION@ of OpenDKIM.

COPYRIGHT
Copyright (c) 2010-2012, 2015, The Trusted Domain Project. All rights reserved.

SEE ALSO
opendkim(8), opendkim.conf(5)

RFC6376 - DomainKeys Identified Mail